Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Advanced Configuration Options

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

Operations

1. Create an Upload Slot

Request

Returns a slot ID that is needed for the /bdmanager.upload/{typedId}/{slot_id}, or /productimages.upload/{slot_id}/{sku} (Upload a File) endpoint.

Information

To upload a file you need to perform the following actions:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Security
basic or X-PriceFx-jwt
curl -i -X GET \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot

Responses

Slot created.

Bodyapplication/json
nodestringnon-empty
csrfTokenstringnon-empty
dataArray of objectsnon-emptyunique
statusnumber
Response
application/json
{ "response": { "node": "node", "csrfToken": "token", "data": [], "status": 0 } }

1. Create an Upload Slot

Request

Returns a slot ID that is needed for the /bdmanager.upload/{typedId}/{slot_id}, or /productimages.upload/{slot_id}/{sku} (Upload a File) endpoint. Same behavior and response as GET /uploadmanager.newuploadslot.

Information

To upload a file you need to perform the following actions:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Security
basic or X-PriceFx-jwt
Query
ownerTypedIdstring

Optionally, the request URL can include the ownerTypedId parameter if the uploaded file should be attached to a specific owner entity, such as a Quote (Typed ID).

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.newuploadslot?ownerTypedId=string'

Responses

Slot created.

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "data": [], "status": 0 } }

2. Upload a File

Request

Uploads a file.

To upload a file you need to retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint.

Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired

typedId of the document you want to attach the file to.

slotIdstringrequired

The ID of the slot you want to use for the upload. retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint.

Bodymultipart/form-data
filestring(binary)

A base64 encoded file data.

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/bdmanager.upload/{typedId}/{slotId}' \
  -H 'Content-Type: multipart/form-data' \
  -F file=string

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-8dbb5b975-rvc75", "data": [], "status": 0 } }

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

MCP

Operations

Clicmanager

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

Operations

Entities

otherSchemas

Schemas